#
# spec file for package sendmail (Version 8.12.11)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# neededforbuild  cyrus-sasl cyrus-sasl-devel db-devel mailx netcfg openldap2 openldap2-client openldap2-devel openssl openssl-devel procmail tcpd vacation

BuildRequires:  aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libselinux libstdc++ libxcrypt m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch permissions popt procinfo procps psmisc pwdutils rcs readline sed strace syslogd sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel autoconf automake binutils cyrus-sasl-devel db-devel gcc gdbm gettext heimdal-lib libtool mailx openldap2 openldap2-devel openssl-devel perl procmail rpm tcpd-devel vacation

Name:           sendmail
URL:            http://www.sendmail.org/
%define       SUBDIRS libsmutil libsmdb sendmail mail.local mailstats makemap praliases rmail smrsh libmilter libsm editmap
#Copyright:   1983 Eric P. Allman
License:        FSR, Other License(s), see package
Group:          Productivity/Networking/Email/Servers
PreReq:         fileutils sed fillup /sbin/insserv
Provides:       sendcf smailcfg smtp_daemon
Requires:       procmail netcfg m4
Conflicts:      smail postfix sendmail-tls postfix-tls
Obsoletes:      sendmail-tls
Autoreqprov:    on
Version:        8.12.11
Release:        2.7
Summary:        BSD Sendmail
#Source0:     ftp://ftp.sendmail.org/pub/sendmail/sendmail.%{version}.tar.bz2
Source0:        sendmail-%{version}.tar.bz2
Source1:        FAQ.sendmail-8.12.bz2
Source2:        uucp-1.07.tar.bz2
Source3:        uucpcfg.tar.bz2
Source4:        uucp.xinetd
Patch0:         sendmail-%{version}.dif
Patch1:         sendmail-8.12-VU834865.patch
Patch2:         uucp-1.07.dif
Patch3:         uucp-1.07-grade.patch
Patch4:         uucp-1.07-contrib.dif
Patch6:         uucp-1.07-cu.patch
Patch7:         sendmail-%{version}-select.dif
Patch8:         sendmail-8.12.11-mimefix.dif
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
The "Unix System Administration Handbook" calls sendmail "The most
complex and complete mail delivery system in common use..." .

Ready-made configuration files are included for systems connected by
TCP/IP (with or without a name server) and for systems using UUCP.

'procmail' is used as a local mail agent.

"sendmail" is a trademark of Sendmail, Inc.



Authors:
--------
    Eric Allman <sendmail@sendmail.ORG>

%package -n sendmail-devel
Version:        8.12.11
Release:        2.6
Summary:        BSD sendmail development kit
#Copyright:   1983 Eric P. Allman
License:        FSR, Other License(s), see package
Group:          Development/Libraries/Other
Autoreqprov:    on

%description -n sendmail-devel
This package includes libraries and header files for building tools
accessing sendmail features.

"sendmail" is a trademark of Sendmail, Inc.



Authors:
--------
    Eric Allman <sendmail@sendmail.ORG>

%package -n uucp
Version:        1.07
Release:        225.12
Summary:        Taylor UUCP
License:        GPL, Other License(s), see package
Group:          Productivity/Networking/Other
PreReq:         fileutils %install_info_prereq
Autoreqprov:    on

%description -n uucp
Ian Taylor's Unix to Unix copy: mail and news over modem lines. This is
the standard UUCP package of the Free Software Foundation. Configured
to use HoneyDanBer or Taylor configuration files. With version 6.0 of
SuSE Linux, we moved the configuration directory to /etc/uucp. 
Exactly: Taylor config:       /etc/uucp HoneyDanBer config: 
/etc/uucp/hdb_config If you have your own setup under /var/lib/uucp,
move it to /etc/uucp. Example configurations can be found under
/usr/share/doc/packages/uucp.

Remark: We did not include an uucp guest account. So, if you want to
create a guest account, make sure the directory /var/spool/uucppublic
exists.



Authors:
--------
    Ian Lance Taylor <ian@cygnus.com>

%prep
%setup -b 2
cd sendmail/
cd ../
%patch -P 1 -p 0 -b .VU834865
%patch -P 7 -p 0 -b .select
%patch -P 8 -p 0 -b .mimefix
%patch -P 0 -p 0
    set -f
    cat <<-EOF > file-list
	%%dir    %%attr(0700, root, root) /var/run/sendmail
	%%attr(0600, root, root)          /var/run/sendmail/statistics
	%%dir    %%attr(0700, root, root) /var/spool/mqueue
	%%dir    %%attr(0700, root, root) /var/spool/mqueue/.hoststat
	%%config %%attr(0644, root, root) /etc/permissions.d/sendmail
	EOF
    set +f
cd ../uucp-1.07
%patch -P 4     -b .cont
%patch -P 3 -p0 -b .grad
%patch -P 6 -p0 -b .cu
%patch -P 2

%build
    #
    RPM_OPT_FLAGS="${RPM_OPT_FLAGS} -g -fno-strict-aliasing"
    ARCH_LIB=%{_lib}
    export ARCH_LIB
    # ingnore vacation (we have our own)
    make SUBDIRS="%{SUBDIRS}"
    #
    cd ../uucp-1.07
    #
    %{?suse_update_config:%{suse_update_config -f}}
    aclocal
    automake
    autoconf
    CFLAGS="-Wall ${RPM_OPT_FLAGS} -pipe -D_GNU_SOURCE" \
    ./configure \
	--with-newconfigdir=/etc/uucp \
	--with-oldconfigdir=/etc/uucp/hdb_config \
	--prefix=/usr --mandir=%{_mandir} --infodir=%{_infodir}
    make CFLAGS="-Wall ${RPM_OPT_FLAGS} -pipe -D_GNU_SOURCE"

%install
    rm -rf ${RPM_BUILD_ROOT}
    ARCH_LIB=%{_lib}
    export ARCH_LIB
    doc=${RPM_BUILD_ROOT}%{_defaultdocdir}/sendmail
    mkdir -p ${doc}
    mkdir -p ${RPM_BUILD_ROOT}/sbin/conf.d
    mkdir -p ${RPM_BUILD_ROOT}/usr/bin
    mkdir -p ${RPM_BUILD_ROOT}/usr/sbin
    mkdir -p ${RPM_BUILD_ROOT}/etc/mail/certs
    mkdir -p ${RPM_BUILD_ROOT}/etc/mail/auth
    mkdir -p ${RPM_BUILD_ROOT}/etc/init.d
    mkdir -p ${RPM_BUILD_ROOT}/usr/%{_lib}
    mkdir -p ${RPM_BUILD_ROOT}/usr/lib/sendmail.d/bin
    mkdir -p ${RPM_BUILD_ROOT}/usr/share/sendmail
    mkdir -p ${RPM_BUILD_ROOT}/var/run/sendmail
    mkdir -p ${RPM_BUILD_ROOT}/usr/include/sm
    mkdir -p ${RPM_BUILD_ROOT}/usr/include/sm/os
    chmod 1750 ${RPM_BUILD_ROOT}/var/run/sendmail
    chmod 0750 ${RPM_BUILD_ROOT}/etc/mail/certs
    chmod 0750 ${RPM_BUILD_ROOT}/etc/mail/auth
    mkdir -p ${RPM_BUILD_ROOT}/etc/permissions.d
    mkdir -p ${RPM_BUILD_ROOT}%{_mandir}/man1
    mkdir -p ${RPM_BUILD_ROOT}%{_mandir}/man5
    mkdir -p ${RPM_BUILD_ROOT}%{_mandir}/man8
    mkdir -p ${RPM_BUILD_ROOT}/var/adm/fillup-templates
    make \
	DESTDIR=${RPM_BUILD_ROOT} \
	SUBDIRS="%{SUBDIRS}" \
	MANROOTMAN=%{_mandir}/man \
	MANROOT=%{_mandir}/cat \
	install
    # needed to be able to comple a milter which uses libsm, i.e. amavis-milter
    cd include/sm
    ln -s os/sm_os_linux.h sm_os.h
    cd ../../
    cd include/sm/os
    ln -s sm_os_linux.h sm_os.h
    cd ../../../
    cp -r include/sm   ${RPM_BUILD_ROOT}/usr/include/
    chown root:root    ${RPM_BUILD_ROOT}/etc/mail/submit.cf
    chmod 0644	       ${RPM_BUILD_ROOT}/etc/mail/submit.cf
    chown root:mail    ${RPM_BUILD_ROOT}/usr/sbin/sendmail
    ln -sf /usr/sbin/sendmail ${RPM_BUILD_ROOT}/usr/lib/sendmail
    mv ${RPM_BUILD_ROOT}/usr/sbin/praliases \
			      ${RPM_BUILD_ROOT}/usr/bin/praliases
    mkdir -p           ${RPM_BUILD_ROOT}/var/spool/mqueue/.hoststat
    chown -R root:root ${RPM_BUILD_ROOT}/var/spool/mqueue
    chmod 0700         ${RPM_BUILD_ROOT}/var/spool/mqueue
    chmod 0700         ${RPM_BUILD_ROOT}/var/spool/mqueue/.hoststat
    mkdir -p           ${RPM_BUILD_ROOT}/var/run/sendmail
    chmod 0700         ${RPM_BUILD_ROOT}/var/run/sendmail
    touch              ${RPM_BUILD_ROOT}/var/run/sendmail/statistics
    chown -R root:root ${RPM_BUILD_ROOT}/var/run/sendmail/statistics
    chmod 0600	       ${RPM_BUILD_ROOT}/var/run/sendmail/statistics
    mkdir -p	       ${RPM_BUILD_ROOT}/var/spool/clientmqueue
    chown -R root:mail ${RPM_BUILD_ROOT}/var/spool/clientmqueue
    chmod 0770         ${RPM_BUILD_ROOT}/var/spool/clientmqueue
    chmod 0755         ${RPM_BUILD_ROOT}/usr/lib/sendmail.d
    chmod 0755         ${RPM_BUILD_ROOT}/usr/lib/sendmail.d/bin
    ln -sf /usr/bin/vacation ${RPM_BUILD_ROOT}/usr/lib/sendmail.d/bin/
    ln -sf /usr/bin/mail     ${RPM_BUILD_ROOT}/usr/lib/sendmail.d/bin/
    ln -sf /usr/bin/procmail ${RPM_BUILD_ROOT}/usr/lib/sendmail.d/bin/
    install -m 0644 K* README RELE* doc/op/op.ps sendmail/SECURITY \
                       sendmail/TRACEFLAGS suse/README.SuSE \
                       contrib/{e*,re-*,sm*,passwd*}.pl \
		       contrib/etrn.0 ${doc}
    install -m 0644 %{SOURCE1} ${doc}/FAQ.sendmail.bz2
    groff -pe -me -mtty-char -Tlatin1 doc/op/op.me          > ${doc}/op.txt
    install -m 0644 smrsh/README ${doc}/README.smrsh
    install -m 0644 libmilter/README ${doc}/README.libmilter
    bzip2 -9f ${doc}/*.ps
    bzip2 -9f ${doc}/*.txt
    bzip2 -9f ${doc}/RELEASE_NOTES
    tar cfC - cf . | tar xfC - ${RPM_BUILD_ROOT}/usr/share/sendmail/
    chown root:root -R ${RPM_BUILD_ROOT}/usr/share/sendmail/
    rm -f  ${RPM_BUILD_ROOT}/usr/share/sendmail/cf/Build
    rm -f  ${RPM_BUILD_ROOT}/usr/share/sendmail/cf/README
    rm -f  ${RPM_BUILD_ROOT}/usr/share/sendmail/cf/Makefile
    rm -f  ${RPM_BUILD_ROOT}/usr/share/sendmail/cf/*.cf
    rm -fr ${RPM_BUILD_ROOT}/usr/share/sendmail/*/*~ ${doc}/*~
    find ${RPM_BUILD_ROOT}/usr/share/sendmail/ ${doc}/ \
					-name '*.ldap' -o -name '*.mime' -o \
					-name '*.mrbl' -o -name '*.util' -o \
					-name '*.dif' | xargs -r rm -f
    cd suse/
    # etc/aliases and /etc/aliases.d are in other packages
    #install -m 0644 aliases ${RPM_BUILD_ROOT}/etc/
    #install -d -m 0750 ${RPM_BUILD_ROOT}/etc/aliases.d
    install -m 0644 README Makefile mailertable genericstable userdb \
		    virtusertable access linux.mc linux.submit.mc \
		    linux.nullclient.mc service-nodns.switch \
		    service.switch relay-domains trusted-users \
		    local-host-names ${RPM_BUILD_ROOT}/etc/mail/
    install -m 0600 auth-info ${RPM_BUILD_ROOT}/etc/mail/auth/
    install -m 0755 sendmail.nissl ${RPM_BUILD_ROOT}/usr/sbin/
    install -m 0644 permissions ${RPM_BUILD_ROOT}/etc/permissions.d/sendmail
    install -m 0755 rc ${RPM_BUILD_ROOT}/etc/init.d/sendmail
    install SuSEconfig.sendmail ${RPM_BUILD_ROOT}/sbin/conf.d/
    install -m 0644 sysconfig.sendmail      ${RPM_BUILD_ROOT}/var/adm/fillup-templates/
    install -m 0644 sysconfig.mail-sendmail ${RPM_BUILD_ROOT}/var/adm/fillup-templates/
    cd ../
    if test -n "${RPM_BUILD_ROOT}" ; then
	cat ${RPM_BUILD_ROOT}/etc/mail/linux.mc		| \
	sed "s@include(\`@include(\`${RPM_BUILD_ROOT}@" | \
	m4 | \
	sed "s@${RPM_BUILD_ROOT}@@g"	> ${RPM_BUILD_ROOT}/etc/sendmail.cf
	cat ${RPM_BUILD_ROOT}/etc/mail/linux.submit.mc	| \
	sed "s@include(\`@include(\`${RPM_BUILD_ROOT}@" | \
	m4 | \
	sed "s@${RPM_BUILD_ROOT}@@g"	> ${RPM_BUILD_ROOT}/etc/mail/submit.cf
    else
	m4 < /etc/mail/linux.mc		> /etc/sendmail.cf
	m4 < /etc/mail/linux.submit.mc	> /etc/mail/submit.cf
    fi
    ln -sf /etc/init.d/sendmail ${RPM_BUILD_ROOT}/usr/sbin/rcsendmail
    ln -sf ../aliases  ${RPM_BUILD_ROOT}/etc/mail/aliases
    pushd ${RPM_BUILD_ROOT}/etc/mail/
	OPATH=$PATH
	PATH="${OPATH}:${RPM_BUILD_ROOT}/usr/sbin:${RPM_BUILD_ROOT}/usr/bin"
	make DESTDIR=${RPM_BUILD_ROOT} short
	PATH=$OPATH
    popd
    #
    cd ../uucp-1.07
    #
    mkdir -p -m 755 ${RPM_BUILD_ROOT}/etc/uucp/hdb_config
    mkdir -p -m 755 ${RPM_BUILD_ROOT}/etc/logrotate.d
    install -m 644 logrotate ${RPM_BUILD_ROOT}/etc/logrotate.d/uucp
    make DESTDIR=${RPM_BUILD_ROOT} install install-info
    mkdir -p -m 755 ${RPM_BUILD_ROOT}/var/spool/uucp ${RPM_BUILD_ROOT}/var/spool/uucppublic
    chown uucp:uucp ${RPM_BUILD_ROOT}/var/spool/uucp
    install -m 644 README.suse ${RPM_BUILD_ROOT}/var/spool/uucppublic/README
    mkdir -p -m 755 ${RPM_BUILD_ROOT}/usr/lib/uucp
    mv ${RPM_BUILD_ROOT}/usr/sbin/uu* ${RPM_BUILD_ROOT}/usr/lib/uucp/
    for x in ${RPM_BUILD_ROOT}/usr/lib/uucp/* ; do
	echo ${x##*/}
	ln -fs /usr/lib/uucp/${x##*/} ${RPM_BUILD_ROOT}/usr/sbin/
    done
    rm -rf ${RPM_BUILD_ROOT}%{_defaultdocdir}/uucp
    mkdir -p ${RPM_BUILD_ROOT}%{_defaultdocdir}/uucp
    mkdir -p ${RPM_BUILD_ROOT}/var/log/uucp
    chown uucp:uucp ${RPM_BUILD_ROOT}/var/log/uucp
    tar jxvfpC $RPM_SOURCE_DIR/uucpcfg.tar.bz2 ${RPM_BUILD_ROOT}%{_defaultdocdir}/uucp
    chmod -R u+r,o+r,g+r ${RPM_BUILD_ROOT}%{_defaultdocdir}/uucp/
    mkdir -p -m 755 ${RPM_BUILD_ROOT}/etc/xinetd.d
    install -m 644 %{SOURCE4} ${RPM_BUILD_ROOT}/etc/xinetd.d/uucp
#
# Remove some files we don't wish to package
#
rm -f ${RPM_BUILD_ROOT}/etc/aliases ${RPM_BUILD_ROOT}/etc/mail/*.db
rm -f ${RPM_BUILD_ROOT}/etc/mail/*/*.db

%clean
rm -rf ${RPM_BUILD_ROOT}

%pre
if test -f etc/rc.config ; then
  SMTP=$(. etc/rc.config 2>/dev/null; echo $SMTP)
  if test -n "$SMTP" ; then
    echo SMTP=$SMTP > var/adm/run-sendmail
  fi
fi

%post
# remove old db's
for db in etc/aliases.db etc/aliases.d/*.db etc/mail/*.db etc/mail/*/*.db ; do
  test -e "$db"       || continue
  test -e "${db%.db}" || continue
  rm -f "$db" || true
done
# put together
if test -f etc/rc.config.d/sendmail.rc.config ; then
  cat etc/rc.config.d/sendmail.rc.config >> etc/rc.config
  rm -f etc/rc.config.d/sendmail.rc.config
fi
# rename these on update
if test -f etc/rc.config ; then
  SENDMAIL_ARGS=$(. etc/rc.config 2>/dev/null; echo $SENDMAIL_ARGS)
  case "$SENDMAIL_ARGS" in
    *-L*-Am*) ;;
    *-Am*-L*) ;;
    *) SENDMAIL_ARGS="-L sendmail -Am $SENDMAIL_ARGS"
  esac
  sed -e "s@^SENDMAIL_TYPE=@MAIL_CREATE_CONFIG=@" \
    -e "s@^SENDMAIL_NODNS=@NODNS=@" \
    -e "s@^SENDMAIL_ARGS=.*@SENDMAIL_ARGS=\"$SENDMAIL_ARGS\"@" \
    -e "s@^SENDMAIL_DIALUP=@DIALUP=@" etc/rc.config > etc/rc.config.new
  test -s etc/rc.config.new && mv etc/rc.config.new etc/rc.config || true
fi
# should we listen for remote mails
if test -f var/adm/run-sendmail ; then
  . var/adm/run-sendmail
  if test "$SMTP" = "yes" -a -f var/adm/fillup-templates/sysconfig.mail-sendmail ; then
    sed -e 's@SMTPD_LISTEN_REMOTE="no"@SMTPD_LISTEN_REMOTE="yes"@' \
	  var/adm/fillup-templates/sysconfig.mail-sendmail \
	> var/adm/fillup-templates/sysconfig.mail-sendmail.new
    test -s var/adm/fillup-templates/sysconfig.mail-sendmail.new &&
         mv var/adm/fillup-templates/sysconfig.mail-sendmail.new \
            var/adm/fillup-templates/sysconfig.mail-sendmail || true
  fi
fi
%{fillup_and_insserv -nYps sendmail sendmail SMTP}
%{fillup_only -an mail}
if test -f etc/sysconfig/mail ; then
  . etc/sysconfig/mail
fi
if test "$SMTPD_LISTEN_REMOTE" != "yes" ; then
    cat << EOT > var/adm/notify/messages/Sendmail-local-only
Hello,
by default sendmail is listening on port 25 of localhost only.
If you want to setup a mail server you have to enable the
port 25 externally by setting the variable SMTPD_LISTEN_REMOTE
to "yes" in /etc/sysconfig/mail and restart sendmail with
rcsendmail restart.
(german version follows)
Hallo,
sendmail lauscht nur an Port 25 von localhost. Falls Sie einen
Mailserver betreiben mchten, mssen Sie die Variable
SMTPD_LISTEN_REMOTE in /etc/sysconfig/mail auf "yes" setzen
und sendmail mit
   rcsendmail restart
neu starten.
Have a lot of fun...
                          Your SuSE Team
EOT
fi
if test -s etc/mail/sendmail.cw -o -s etc/mail/sendmail.ct -o \
        -s etc/sendmail.cw      -o -s etc/sendmail.ct ; then
    mkdir -p var/adm/notify/messages
    cat << EOT > var/adm/notify/messages/Sendmail-uses-new-filenames
Hello,
this sendmail version uses new file names and locations for local
host names and trusted users. Accordingly to /usr/share/sendmail/README
the new locations are
  /etc/mail/local-host-names  for /etc/sendmail.cw
  /etc/mail/local-host-names  for /etc/mail/sendmail.cw
and
  /etc/mail/trusted-users     for /etc/sendmail.ct
  /etc/mail/trusted-users     for /etc/mail/sendmail.ct
(german version follows)
Hallo,
diese Version von sendmail benutzt neue Dateinamen und Pfade fuer
lokale Hostnamen und vertrausenwuerdige User.  Nach /usr/share/sendmail/README
sind das
  /etc/mail/local-host-names  fuer /etc/sendmail.cw
  /etc/mail/local-host-names  fuer /etc/mail/sendmail.cw
und
  /etc/mail/trusted-users     fuer /etc/sendmail.ct
  /etc/mail/trusted-users     fuer /etc/mail/sendmail.ct
Have a lot of fun...
                          Your SuSE Team
EOT
fi
test -e etc/SuSE-release || exit 0
MAILS_SPOOLED=false
for i in var/mqueue/* ; do
    test -f $i && {
        MAILS_SPOOLED=true
        break
    }
done
if test "$MAILS_SPOOLED" = true ; then
    mkdir -p var/adm/notify/messages
    cat << EOT > var/adm/notify/messages/Mailqueue-changes
Hello,
With 6.0 of SuSE Linux we moved the spool directory for sendmail from
/var/mqueue to /var/spool/mqueue.  Your system seems to have spooled
mails in /var/mqueue.  Please move them to /var/spool/mqueue with
(as user root):
   rcsendmail stop
   mv /var/mqueue/* /var/spool/mqueue
   rcsendmail start
(german version follows)
Hallo,
Ab der SuSE Linux 6.0 haben wir das Verzeichnis in dem sendmail seine
Mail queue zwischenspeichert von /var/mqueue nach /var/spool/mqueue
verschoben.  In Ihrem System scheinen whrend des Updates noch Mails
in der Queue gesteckt zu haben. Folgendermassen knnen Sie diese wieder
in die Queue einreihen (als Benutzer root):
   rcsendmail stop
   mv /var/mqueue/* /var/spool/mqueue
   rcsendmail start
Have a lot of fun...
                          Your SuSE Team
EOT
fi
if test -s etc/hosts.allow ; then
    tcpd=no
    while read line; do
	case "$line" in
	\#*|"") ;;
	*)      tcpd=yes
	esac
    done < etc/hosts.allow
    if test "$tcpd" = "yes" ; then
	mkdir -p var/adm/notify/messages
	cat << EOT > var/adm/notify/messages/Sendmail-uses-libwrap
Hello,
This version of sendmail is linked with libwrap. Please
verify that your /etc/hosts.allow and /etc/hosts.deny
will work with sendmail.
(german version follows)
Hallo,
Diese Version von sendmail benutzt die libwrap, daher sollten
Sie Ihre /etc/hosts.allow und /etc/hosts.deny entsprechend
anpassen.
Have a lot of fun...
                          Your SuSE Team
EOT
    fi
fi

%preun
%{stop_on_removal sendmail}

%postun
%{restart_on_update sendmail}
%{insserv_cleanup}

%post -n uucp
%install_info --info-dir=%{_infodir} %{_infodir}/uucp.info.gz
if test -e etc/SuSE-release ; then
   ever="With version 6.0 of SuSE Linux"
   gver="Ab der SuSE Linux 6.0"
else
   ever="With the update of UUCP"
   gver="Mit dem Update von UUCP"
fi
if test -e var/lib/uucp/taylor_config ; then
    mkdir -p var/adm/notify/messages
    cat << EOT > var/adm/notify/messages/UUCP-changes
Hello,
$ever we moved the configuration directory to
/etc/uucp.  Exactly:
  Tailor config:       /etc/uucp
  HoneyDanBer config:  /etc/uucp/hdb_config
If you have an own setup under /var/lib/uucp please remember to move 
it to /etc/uucp.
(german version follows)
Hallo,
$gver haben wir das Verzeichnis zum Konfigurieren des
UUCP Systems nach /etc/uucp gelegt.  Genauer:
  Tailor Konfiguration:       /etc/uucp
  HoneyDanBer Konfiguration:  /etc/uucp/hdb_config
Falls Sie bisher Ihre Konfiguration unter /var/lib/uucp hatten, denken
Sie bitte dran, diese nach /etc/uucp zu verlegen.
Have a lot of fun...
                          Your SuSE Team
EOT
fi

%postun -n uucp
%install_info_delete --info-dir=%{_infodir} %{_infodir}/uucp.info.gz

%files -f file-list
%dir /etc/mail
# /etc/aliases.d is part of aaa_dir
# %dir %attr(0750, root, mail) /etc/aliases.d
%dir %attr(0750, root, root) /etc/mail/auth
%dir %attr(0750, root, root) /etc/mail/certs
%config(noreplace) /etc/sendmail.cf
# /etc/aliases is part of netcfg
# %config(noreplace) /etc/aliases
%doc               /etc/mail/README
%config(noreplace) /etc/mail/Makefile
# this is a link
                   /etc/mail/aliases
%config(noreplace) %attr(0600, root, root) /etc/mail/auth/auth-info
%config(noreplace) /etc/mail/linux.mc
%config(noreplace) /etc/mail/linux.submit.mc
%config(noreplace) /etc/mail/linux.nullclient.mc
%config(noreplace) /etc/mail/mailertable
%config(noreplace) /etc/mail/genericstable
%config(noreplace) /etc/mail/virtusertable
%config(noreplace) /etc/mail/access
%config(noreplace) /etc/mail/userdb
%config(noreplace) /etc/mail/relay-domains
%config(noreplace) /etc/mail/service.switch
%config(noreplace) /etc/mail/service-nodns.switch
%config(noreplace) /etc/mail/trusted-users
%config(noreplace) /etc/mail/local-host-names
%config(noreplace) /etc/mail/submit.cf
%doc %{_defaultdocdir}/sendmail
/usr/share/sendmail
/var/adm/fillup-templates/sysconfig.sendmail
/var/adm/fillup-templates/sysconfig.mail-sendmail
%config %attr(0755, root, root) /etc/init.d/sendmail
%config %attr(0755, root, root) /sbin/conf.d/SuSEconfig.sendmail
/usr/bin/hoststat
/usr/bin/mailq
/usr/bin/newaliases
/usr/bin/praliases
/usr/bin/purgestat
#/usr/bin/rmail
/usr/lib/sendmail
%dir %attr(0755, root, root) /usr/lib/sendmail.d/
%dir %attr(0755, root, root) /usr/lib/sendmail.d/bin/
/usr/lib/sendmail.d/bin/mail
/usr/lib/sendmail.d/bin/mail.local
/usr/lib/sendmail.d/bin/procmail
/usr/lib/sendmail.d/bin/smrsh
/usr/lib/sendmail.d/bin/vacation
/usr/lib/sendmail.d/helpfile
%doc %{_mandir}/man1/mailq.1.gz
%doc %{_mandir}/man1/newaliases.1.gz
%doc %{_mandir}/man5/aliases.5.gz
%doc %{_mandir}/man8/editmap.8.gz
%doc %{_mandir}/man8/makemap.8.gz
#%doc %{_mandir}/man8/rmail.8.gz
%doc %{_mandir}/man8/sendmail.8.gz
%doc %{_mandir}/man8/smrsh.8.gz
%doc %{_mandir}/man8/mail.local.8.gz
%doc %{_mandir}/man8/mailstats.8.gz
%doc %{_mandir}/man8/praliases.8.gz
/usr/sbin/editmap
/usr/sbin/mailstats
/usr/sbin/makemap
# Should we do 6555??
%attr(2555, root, mail) /usr/sbin/sendmail
/usr/sbin/sendmail.nissl
/usr/sbin/rcsendmail

%files -n sendmail-devel
%dir /usr/include/libmilter
/usr/include/libmilter/*.h
%dir /usr/include/sm
/usr/include/sm/*.h
%dir /usr/include/sm/os
/usr/include/sm/os/*.h
/usr/%{_lib}/libmilter.a
/usr/%{_lib}/libsmutil.a
/usr/%{_lib}/libsm.a

%files -n uucp
%config(noreplace) /etc/logrotate.d/uucp
%config(noreplace) /etc/xinetd.d/uucp
#%dir %attr(0750, uucp, uucp) /etc/uucp
%dir %attr(0750, uucp, uucp) /etc/uucp/hdb_config
%dir /usr/lib/uucp
%dir %attr(0755, uucp, uucp) /var/log/uucp
%dir %attr(1770, root, uucp) /var/spool/uucppublic
#%dir %attr(0700, uucp, uucp) /var/spool/uucp
/usr/bin/cu
/usr/bin/rmail
%attr(6555, uucp, uucp) /usr/bin/uucp
/usr/bin/uulog
%attr(6555, uucp, uucp) /usr/bin/uuname
/usr/bin/uupick
%attr(6555, uucp, uucp) /usr/bin/uustat
/usr/bin/uuto
%attr(6555, uucp, uucp) /usr/bin/uux
%doc %{_infodir}/uucp.info*.gz
/usr/lib/uucp/uuchk
%attr(6555, uucp, uucp) /usr/lib/uucp/uucico
/usr/lib/uucp/uuconv
/usr/lib/uucp/uusched
%attr(6555, uucp, uucp) /usr/lib/uucp/uuxqt
/usr/sbin/uuchk
/usr/sbin/uucico
/usr/sbin/uuconv
/usr/sbin/uusched
/usr/sbin/uuxqt
%doc %{_mandir}/man1/cu.1.gz
%doc %{_mandir}/man1/uucp.1.gz
%doc %{_mandir}/man1/uustat.1.gz
%doc %{_mandir}/man1/uux.1.gz
%doc %{_mandir}/man8/rmail.8.gz
%doc %{_mandir}/man8/uucico.8.gz
%doc %{_mandir}/man8/uuxqt.8.gz
/var/spool/uucppublic/README
%doc %{_defaultdocdir}/uucp

%changelog -n sendmail
* Tue May 30 2006 - werner@suse.de
- Proper update of the fix for VU#146718 (bug #173998)
* Wed May 10 2006 - werner@suse.de
- VU#146718: Fix sendmail denial of service with MIME (bug #173998)
* Mon Mar 20 2006 - werner@suse.de
- Get CERT VU834865 patch working on s390x
- Avoid invalid timeval's if select() catch EINTR
- Use sendmail 8.12.11 to get the official patchlevel for the
  security fix CERT VU834865
* Thu Mar 09 2006 - werner@suse.de
- Fix race condition in signal handling CERT VU834865 (#156417)
* Fri Apr 08 2005 - werner@suse.de
- Avoid endless loop due missing error handling with STARTTLS
  by enabling _FFR_DEAL_WITH_ERROR_SSL flag (bug #76400)
* Fri Apr 02 2004 - werner@suse.de
- Add linux.submit.mc and generate the shipped submit.cf out of
  them. This should avoid missing SuSEconfig runs or customers
  which do not move the submit.cf.SuSEconfig over the submit.cf.
  (bugs #37952, #32348).
* Thu Mar 18 2004 - werner@suse.de
- SusEconfig.sendmail: return exit status of failed commands
  (bug #36492)
* Fri Feb 13 2004 - werner@suse.de
- Fix amavis package name (bug #34544)
* Wed Dec 17 2003 - werner@suse.de
- Fix typos (bug #32344, #32345)
- Changes within SMTP AUTH
  * Add comment about rpm to be installed
  cyrus-sasl-(gssapi|otp|digestmd5|crammd5|plain)
  * Add an all option for all AUTH mechanisms
  * Make TLS and SASL work together
- Test for dialup hosts
  * Add confTRY_NULL_MX_LIST for MSP
  * Add generics domain feature for MSP
* Mon Oct 06 2003 - werner@suse.de
- Remove backshlash in linux.mc (bug #32037)
* Thu Sep 18 2003 - werner@suse.de
- Update to 8.12.10 due security fixes
* Wed Sep 17 2003 - werner@suse.de
- Security fix for sendmail (prescan2)
* Wed Sep 03 2003 - werner@suse.de
- Add try-restart option for update (bug #29044)
* Fri Aug 29 2003 - mmj@suse.de
- Add sysconfig metadata [#28899]
* Thu Aug 28 2003 - mmj@suse.de
- Sendmail requires m4, which is no longer default [#29454]
* Mon Jul 28 2003 - werner@suse.de
- Fix amavis(d) typo
* Mon Jul 28 2003 - werner@suse.de
- Fix chown usage
* Tue Jul 22 2003 - werner@suse.de
- Fix bug #27117: use asci file as reference for mode of db
- Move from amavis(d) to amavis-new
* Mon Jun 30 2003 - werner@suse.de
- Add manual pages again
* Thu Jun 26 2003 - kukuk@suse.de
- Don't create .dif files
* Fri Jun 13 2003 - kukuk@suse.de
- Fix spec file to build again
* Thu Apr 24 2003 - ro@suse.de
- fix install_info --delete call and move from preun to postun
* Tue Apr 15 2003 - werner@suse.de
- Update to 8.12.9 (including the last two security patches)
- Update FAQ
- Add SENDMAIL_ALLMASQUERADE for servers using yp, DNS (etc/aliases,
  /etc/hosts)
- Add /etc/mail/local-host-names for masquerade and generic domain
* Tue Apr 01 2003 - draht@suse.de
- sendmail.8.12-prescan.patch fixes another overflow security problem.
* Wed Feb 26 2003 - werner@suse.de
- Security fix to avoid remote root access
* Wed Feb 12 2003 - werner@suse.de
- The same procedure? The same procedure as every spec: Use
  preun not post for removing info entry
* Tue Feb 11 2003 - werner@suse.de
- Fix bug #22765: better description in auth-info
* Tue Feb 11 2003 - werner@suse.de
- Expand Amavis check
* Wed Jan 15 2003 - werner@suse.de
- Remove backup file of patch before installation
* Wed Jan 15 2003 - werner@suse.de
- Be sure that library directory exist on all architecture
* Tue Jan 14 2003 - werner@suse.de
- Update to senbdmail 8.12.7
- Re-enable IPv6 support
- Make GLIBC_VERSION macro work (sigh!)
- Use BuildRoot
- Use meta tags for sysconfig files (bug #22687)
* Tue Jan 14 2003 - werner@suse.de
- Add some more comments about smtp auth, correct replacement
  off encoded passphrase
- Switch to SASL2
* Fri Nov 29 2002 - werner@suse.de
- SMRSH should check the called program
- Fix bug #20475: now we've three sendmail processes:
  one master, one client for controlling the clientmqueue
  and its child for handling clientmqueue.
* Mon Sep 09 2002 - werner@suse.de
- sendmail depends on yp information (bug #18913)
* Mon Sep 02 2002 - werner@suse.de
- Switch to bugfix release 8.12.6
* Tue Aug 27 2002 - werner@suse.de
- Be paranoid: -fno-strict-aliasing on all platforms (bug #17432)
* Mon Aug 26 2002 - werner@suse.de
- Make amavis optional due its only available on i386 (bug #18337)
- Rename require `ntp' to `$time' (bug #18337)
* Mon Aug 26 2002 - werner@suse.de
- Move NULLCLIENT from /etc/sysconfig/mail to
  /etc/sysconfig/sendmail  because  sendmail and postfix use this
  on different.
- Add a line to the comment for NULLCLIENT to get correct values.
  (bug #18301)
* Fri Aug 16 2002 - werner@suse.de
- Add PreReq (bug #17990)
* Wed Aug 14 2002 - werner@suse.de
- Don't be fooled by "no" for variable values (bug #17749)
* Mon Aug 05 2002 - werner@suse.de
- Temporary fix for s390 to get makemap working
* Thu Jul 18 2002 - werner@suse.de
- Make nullclient work
* Tue Jul 16 2002 - werner@suse.de
- Add some more comments for localhost and masquerade (bug #16952)
- Add DNS RBL support to SuSEconfig.sendmail (bug #16951)
- Make last change work
* Mon Jul 15 2002 - kukuk@suse.de
- Remove /etc/aliases from filelist
* Thu Jul 11 2002 - werner@suse.de
- Try to use db4
* Thu Jul 11 2002 - werner@suse.de
- Enable trusted user file in both MSP and MTA (bug #16930)
- Use confTRUSTED_USERS in MSP
- Add changes from Volker Kuhlmann <kuhlmav@elec.canterbury.ac.nz>
  for supporting black lists with SuSEconfig
* Tue Jul 09 2002 - werner@suse.de
- Add /etc/aliases.d/ and a scanner in SuSeconfig.sendmail to
  get files therein into /etc/sendmail.cf. Add check in
  /etc/mail/Makefile ... (bug #15921)
* Tue Jul 09 2002 - werner@suse.de
- Add sanity check for NULLCLIENT redirect (bug #16871)
- Add user vscan to trusted user list (bug #16496)
- Update to sendmail 8.12.5
* Thu Jul 04 2002 - ro@suse.de
- fix compilation with openldap-2.1
* Tue Apr 30 2002 - werner@suse.de
- Fix path of cyrus deliver program (bug# 16056)
- Add m4 option for both sendmail.cf and submit.cf  (bug# 15409)
* Wed Apr 24 2002 - werner@suse.de
- Update ot bugfix release 8.12.3
- Correction of the SMTP AUTH db generation
* Tue Apr 09 2002 - werner@suse.de
- Oops: move autoconf change log entry to uucp change log
* Thu Mar 28 2002 - werner@suse.de
- Add Obsoltes for sendmail-tls (bug #15579)
* Wed Mar 13 2002 - werner@suse.de
- Avoid header rewrite for sendmail client (fix bug #14910)
* Tue Mar 05 2002 - werner@suse.de
- Force insserv call (fix bug #14359)
* Fri Mar 01 2002 - werner@suse.de
- As requested: Add mailman and mailman-owner to aliases
* Fri Mar 01 2002 - pthomas@suse.de
- Fix small typo in mail sent after installation.
* Wed Feb 27 2002 - werner@suse.de
- Be sure that we catch all rc.config variables
- Be sure that the new required sendmail options will be included
  in SENDMAIL_ARGS
* Tue Feb 26 2002 - werner@suse.de
- More work for SMTPD_LISTEN_REMOTE: if the old system has
  SMTP=yes in /etc/rc.config we remember this decision at
  pre install time and change the default for SMTPD_LISTEN_REMOTE
  from "no" to "yes" at post install time.
* Tue Feb 26 2002 - werner@suse.de
- Fix bug #13905: With 8.12 we need to add our domain used in
  FROM_HEADER in the class G (generic domains)
* Mon Feb 25 2002 - werner@suse.de
- Export %%_lib to site.config.m4 to make it work on ia64.
* Mon Feb 25 2002 - werner@suse.de
- fix bug #13830: catch EINTR on select.
* Thu Feb 21 2002 - werner@suse.de
- Add SMTPD_LISTEN_REMOTE to be able to switch off remote
  mail connections.
* Wed Feb 20 2002 - werner@suse.de
- Fix bug #13188 and #13521: Avoid mail loss by running both
  sendmail master and client.
- Add and correct comments
- Install sendmail/SECURITY
- Fix bug #12462 by new configure option SENDMAIL_LUSER to map
  local mail with unknown local recipients.
* Thu Feb 14 2002 - werner@suse.de
- Correct comment about full qualified hostname which is located
  in /etc/HOSTNAME now.
* Wed Feb 13 2002 - werner@suse.de
- Run two daemons: one for sendmail server acts and one for the
  new client msp acts to deserve mails to port 25
- Insserv by default, because the server daemons must listen on
  port 25 for the msp sendmail client used by  MTA's.
- Create /etc/mal/submit.cf to get nocanonify, nodns, and
  masquerade into /etc/mal/submit.cf
* Sun Feb 10 2002 - ro@suse.de
- new option for bz2 tar is "j"
* Tue Feb 05 2002 - ro@suse.de
- rename old rc.config variable names on update
* Wed Jan 30 2002 - werner@suse.de
- Remove YAST_ASK (#12972)
* Mon Jan 28 2002 - werner@suse.de
- sysconfig.mail changes
- remove rc.config from README's
* Wed Jan 23 2002 - werner@suse.de
- Minor changes like including new features into linux.mc
  and using the official MILTER macro of 8.12.2.
* Mon Jan 21 2002 - werner@suse.de
- Package split into sendmail and sendmail-devel
- Notify if user has /etc/mail/sendmail.ct or /etc/mail/sendmail.cw
- Correct LICENSE in PDB
* Sun Jan 20 2002 - link@suse.de
- for compiling a milter client, we need /usr/lib/libsm.a and
  /usr/include/sm
* Fri Jan 18 2002 - werner@suse.de
- Use clientmqueue interface, that means there is a user and
  group mail together with group writable directory for group
  mail and sendmail is sgid mail.
- Implement STARTTLS and SASL interface for client and server side
- Move /etc/mail/default-auth-info to /etc/mail/auth/auth-info(.db)
  and use the FEATURE(authinfo) not DefaultAuthInfo
- Use /etc/mail/certs/ for STARTTLS data
- Install editmap
- Use FEATURE(delay_checks) in dialup.m4
- Use `.' at the end of MAIL_HUP, LOCAL_RELAY, and SMART_HOST if
  a FQDN is used.
- Fix bug #10601: Use content of /etc/HOSTNAME if FQDN
* Thu Jan 17 2002 - werner@suse.de
- Update to 8.12.2
  Use official MILTER now
  Use SM_CONF_SHM, EGD for STARTTLS, and DNSMAP
- Move from sendmail.ct and sendmail.cw to local-host-names
  and local-host-names
- Enable STARTTLS, and SASL by default
- Make NULLCLIENT and SMTP-AUTH a configure option
- Remove rc.config from any comment
- DOMAIN macro should be called before MAILER macro
- Use /etc/sysconfig/mail and /etc/sysconfig/amavis
- Make it compile
* Tue Jan 15 2002 - egmont@suselinux.hu
- removed colons from startup/shutdown messages
* Fri Dec 14 2001 - ro@suse.de
- moved rc.config.d -> sysconfig, removed SMTP variable
* Thu Nov 22 2001 - werner@suse.de
- Do not escape backquote within linux.mc (#12429)
* Thu Aug 30 2001 - werner@suse.de
- More on bug #9097
* Wed Aug 22 2001 - werner@suse.de
- Security update to 8.11.6 (bugtraq id 3163)
* Tue Aug 14 2001 - werner@suse.de
- Update to 8.11.5
- Fix bug #9097
* Wed Jun 27 2001 - werner@suse.de
- More re-ordering of cpp directives
* Wed Jun 27 2001 - werner@suse.de
- Re-order cpp directive to be not included within printf
* Wed Jun 06 2001 - werner@suse.de
- Simple fix in sendmail.nissl script
- Add hops fix
* Wed May 09 2001 - mfabian@suse.de
- bzip2 sources
* Thu Apr 26 2001 - werner@suse.de
- Add missed entries in /etc/mail/linux.mc
* Thu Apr 05 2001 - werner@suse.de
- Add alias for amavis
* Wed Apr 04 2001 - werner@suse.de
- Add message about libwrap and sendmail if host.allow is used
* Thu Mar 29 2001 - werner@suse.de
- Add interface for amavis
- Move mfapi.h to /usr/include/libmilter/
* Wed Mar 21 2001 - werner@suse.de
- Update to sendmail 8.11.3
- Add libmilter.a and co
* Thu Mar 15 2001 - ro@suse.de
- changed for openldap2
* Thu Mar 15 2001 - ro@suse.de
- fixed neededforbuild for openldap
* Fri Feb 23 2001 - werner@suse.de
- Check for YAST_ASK value for all variables used be SuSEconfig
* Wed Jan 17 2001 - werner@suse.de
- Change init.d location in sendmails permission file
* Tue Jan 09 2001 - ro@suse.de
- re-added sfio compile fix from Andreas Schwab
* Tue Jan 09 2001 - werner@suse.de
- Update to 8.11.2 due BUG fixes
  * Sendmail, Inc. and the Sendmail Consortium are proud to
  announce the release of sendmail 8.11.2. This is a maintenance
  release which contains bug fixes for problems found after
  8.11.1 was released.
* Mon Dec 18 2000 - werner@suse.de
- Add touch of *.db file to set mtime of those files
* Mon Dec 11 2000 - werner@suse.de
- Add LSB header to init script
* Tue Dec 05 2000 - bk@suse.de
- add /usr/lib/sendmail.d/bin (like /usr/lib/sendmail.d) to %%files
* Tue Nov 28 2000 - kukuk@suse.de
- Move init script to /etc/init.d
* Fri Nov 24 2000 - werner@suse.de
- Update to 8.11.1
- Add a Makefile for /etc/mail/
- Minor changes within suse-linux.m4
* Mon Nov 06 2000 - ro@suse.de
- fixed neededforbuild
* Wed Sep 27 2000 - werner@suse.de
- Fix VERSIONID format handling
* Mon Sep 11 2000 - werner@suse.de
- Fix some typos in README.SuSE (Thanks to Pavel Janik)
* Tue Sep 05 2000 - werner@suse.de
- correct FAQ name
* Mon Sep 04 2000 - werner@suse.de
- Update to 8.11.0
  * Hopefully reverse lookup works even with IPv6
  * Adapted the patches of 8.10.2
- Add MASQUERADE_DOMAINS for masquerade of disjoint namespaces
- Move /var/run/sendmail.control to /var/run/sendmail/control
* Tue Jul 25 2000 - werner@suse.de
- Add missed helpfile to file list.
- Correct two typo's
* Fri Jul 14 2000 - werner@suse.de
- Use FQHOSTNAME in /etc/rc.config or /etc/HOSTNAME before calling
  hostname because the hostname maybe configured but not active.
* Tue Jul 11 2000 - werner@suse.de
- Set Timeout.ident to `0s' for SuSE Linux because many sites do
  not run identd or have disabled auth/ident protocol
* Tue Jun 20 2000 - werner@suse.de
- Remove FROM_HEADER from /etc/rc.config.d/sendmail.rc.config
  (bug #2881)
* Mon Jun 19 2000 - werner@suse.de
- Security update to 8.10.2
* Wed May 10 2000 - werner@suse.de
- Add a README.SuSE at /usr/share/doc/packages/sendmail/
- Make sendmail accept sticky but group writable directories
- Correct order of mailers in SuSEconfig script
* Tue May 09 2000 - werner@suse.de
- Add loud comment to hopefully weak up otherwise not thinking
  system adiminstrators.
- Use dummy domains only within linux.mc.
* Fri Apr 14 2000 - werner@suse.de
- New version 8.10.1 (some security fixes)
* Fri Apr 14 2000 - werner@suse.de
- Add tcpd into neededforbuild
* Thu Apr 06 2000 - werner@suse.de
- Update to version 8.10.0 of sendmail
  * convert SuSE patches if not already in there
  * change our extensions to the new version (e.g. bsmtp, fido)
  * add mail500 mailer for (open)ldap
  * local mailer shouldn't use MX records
  * a few fixes withion the M4 macro tools
  * fix configure script
  * make libc5/nis+ changes dynamically
  * add example /etc/mail/relay-domains
  * add some informations on various files in /etc/mail/
  * move /etc/smrsh/ to /usr/lib/sendmail.d/bin/
  * install helpfile into /usr/lib/sendmail.d/
  * do NOT build and install vacation, we have our own
* Tue Feb 29 2000 - schwab@suse.de
- Fix inconsistent printf format/arguments.
* Mon Feb 28 2000 - werner@suse.de
- Add patch which avoid alignment problems
* Mon Feb 21 2000 - ke@suse.de
- add Copyright tag to the uucp subpackage
- beautify Group tags
* Mon Feb 14 2000 - ro@suse.de
- move man to /usr/share using macro
* Fri Feb 11 2000 - werner@suse.de
- Fix m4 source path during installation
* Mon Jan 10 2000 - werner@suse.de
- Correct stupid ` ' bug ;^)
* Thu Dec 23 1999 - werner@suse.de
- Move DOMAIN(generic) from suse-linux.m4 to linux.mc and
  SuSEconfig.sendmail
- Add /etc/mail/README.linux to the rpm binary file.
* Tue Dec 14 1999 - ro@suse.de
- create directory /var/lib/uucp (no longer in aaa_dir)
* Thu Dec 02 1999 - werner@suse.de
- Make it ready for 5.3 (libc5)
* Mon Nov 08 1999 - werner@suse.de
- Fix some permissions
* Fri Nov 05 1999 - schwab@suse.de
- Fix typo in %%post
* Wed Nov 03 1999 - werner@suse.de
- Workaround for fillup kludge
- really disable tcpwrapper
* Tue Nov 02 1999 - werner@suse.de
- Adapted the db1 patch to the last change
* Mon Nov 01 1999 - werner@suse.de
- Currently disabled: libwrap from tcpd (feature for next SuSE)
- Don't use passwd in service switches because currently not used
  by sendmail
* Fri Oct 29 1999 - werner@suse.de
- Remove doubled alias `abuse'
* Thu Oct 28 1999 - werner@suse.de
- Add some more comments
- Split nocanonify and nodns to support configurations found
  with an update.
- Still unresolved: Usage of TCPWRAPPER
* Wed Oct 27 1999 - werner@suse.de
- Add linebreak in warning
* Wed Oct 27 1999 - werner@suse.de
- Add description for SENDMAIL_GENERICS_DOMAIN
* Wed Oct 27 1999 - werner@suse.de
- Fix some minor bugs:
  * source /etc/rc.config.d/sendmail.rc.config if available
  * Expand AliasFile for ldap
  * Locate AliasFile at /etc/aliases
  * Add some more comments about nis, nisplus in service.switch
  * Make FEATURE ldap usable
* Tue Oct 26 1999 - werner@suse.de
- Add some patches
  * ldap.893.patch (some fixes for ldap support)
  * mime.c.patch.893 (avoid buffer overflow die mime mails)
  * mrbl.p3.893 (enable multiple realtime blackhole list)
  * util.c.893.patch (avoid freeing of pointer in signal handler)
- Add own changes
  * a new feature/ldap.m4 for (open)ldap support
  * a new feature/expensive.m4 (expensive smtp)
  * a new feature/dialup.m4 (defer delivery mode)
  * a new hack/nodns.m4 (combine nocanonify and service-nodns.switch)
  * add service-nodns.switch and service.switch (passwd with nis)
  in /etc/mail/
  * add a new ostype/suse-linux.m4 with our default configuration
  * change /etc/mail/linux.mc, /etc/mail/linux.nullclient.mc,
  and /sbin/conf.d/SuSEconfig to fit new suse-linux.m4
  * add some anti-spam possibilities in /etc/mail/linux.mc
  * make IP_SRCROUTE work for newer kernels and glibc
  * make USESETEUID and HASSETREUID work for the
  appropiate kernel and glibc version.
  * add IP adresses 127.x.x.x for relaying in /etc/mail/access
  * change permissions for /var/spool/mqueue
  * use `.hoststat' directory
  * use DOMAIN(generic)
  * add some default aliases (abuse and spam)
  * use wrapper library (/etc/hosts.allow and /etc/hosts.deny)
  * enable nisplus support
  * enable ldap support
  * add text version of intro, op, and usenix
* Mon Sep 20 1999 - ro@suse.de
- added provides smtp_daemon
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Fri Sep 10 1999 - uli@suse.de
- fixed manpath in Linux.ppc
* Thu Aug 05 1999 - uli@suse.de
- updated FAQ
* Thu Jul 22 1999 - bs@suse.de
- switched back to prior version, because /etc/mail/linux.mc is mentioned
  in our manual.
* Tue Jul 20 1999 - florian@suse.de
- better configuration and anti spam option
- delete FAQ from distribution
- sample config files only in /usr/doc
* Mon Jul 12 1999 - ro@suse.de
- do not pre-format man-pages
* Thu Jun 10 1999 - ro@suse.de
- fixed build for libc5
* Tue May 18 1999 - ro@suse.de
- updated db1-patch
* Fri May 14 1999 - choeger@suse.de
- add on for SuSEconfig.sendmail for DoD Sites
  FEATURE(\`accept_unresolvable_domains')dnl
  FEATURE(\`accept_unqualified_senders')dnl
  will be set if SENDMAIL_EXPENSIVE=yes
* Tue Apr 06 1999 - choeger@suse.de
- removed feature nodns, because it's declared as no-op
* Sun Apr 04 1999 - choeger@suse.de
- new package sendmail-8.9.3
- new feature /etc/mail/access
* Wed Feb 17 1999 - ro@suse.de
- removed rmail and rmail.8 (moved to package uucp)
- build uucp from same specfile
* Mon Jan 11 1999 - ro@suse.de
- Makefile.Linux: objdir changed to Linux.2.* (respect alpha)
* Mon Dec 14 1998 - bs@suse.de
- created notify message
- fixed comment in rc.config
* Thu Dec 10 1998 - florian@suse.de
- update check.tar.gz to the newest version
- use /var/spool/mqueue instead of /var/mqueue
- add statistics prog sendmail.nissl
- mv smrsh prog dir to /etc/smrsh
- add userdb
- etc/aliases: add more logic and fix some paths
- add /tmp-race-fixes to expn.pl
- mv /etc/mail/sendmail.st /var/log/
- fix some paths in sendmail docu
- add LUSER_RELAY example to /etc/mail/linux.mc
- add bug-fixes if someone recompiles with TCPWRAPPERS defined
- add SENDMAIL_GENERICS_DOMAIN to rc.config
- change most files in /etc/mail to config(noreplace)
- dynamic linking against -lresolv -lnsl
- do not compile with XDEBUG
* Mon Dec 07 1998 - ro@suse.de
- updated init-script
- build for libc5 as well as for glibc
* Sat Dec 05 1998 - bs@suse.de
- mark /etc/sendmail.cf and /etc/aliases as "noreplace".
- mark mailertable, virtusertable, genericstable as "noreplace".
- skipped notice mail for sys admin.
- don't include *.db
- SuSEconfig.sendmail: fixed problem, if *.db do not exist.
* Thu Nov 05 1998 - ro@suse.de
- use -ldb (db1 exists only for glibc-2.1)
* Tue Sep 29 1998 - ro@suse.de
- BETA ONLY: use /usr/include/db1 and -ldb1
  use -lresolv and -lnsl
* Wed Mar 04 1998 - florian@suse.de
- add newer anti-spam rules
- comment out majordomo-entries in /etc/aliases
- do not use "smtp:" for nullclient file
* Mon Mar 02 1998 - florian@suse.de
- marked /etc/mail/aliases as %%config
* Mon Feb 09 1998 - florian@suse.de
- newer /etc/mail/README
- newer anti-spam rules
- make all database files optional in linux.mc
- do not use the "-f" option for the database files
- use the new SuSE-functions to check with md5sums if a new sendmail.cf
  should be written
* Fri Jan 16 1998 - bs@suse.de
- minor bugfix in /sbin/conf.d/SuSEconfig.sendmail
  (exit if no rc.config exists)
* Thu Nov 27 1997 - florian@suse.de
- fix some typos in docu files
- update to newest version of Anti-Spam support
* Wed Nov 19 1997 - florian@suse.de
- enable NIS support
* Sun Nov 16 1997 - florian@suse.de
- update /etc/mail/README
* Mon Oct 27 1997 - florian@suse.de
- update to sendmail 8.8.8
- first start for a docu file in /etc/mail/README
- new parameters in rc.config (/var/adm/fillup-templates/rc.config.sendmail)
- per default additional database files in /etc/mail are used
- /sbin/conf.d/SuSEconfig.sendmail gernerates /etc/sendmail.cf
- add support for anti-spam macros from Claus Amann
- sample /etc/mail/linux.mc for complex email setups
* Sun Apr 27 1997 - bs@suse.de
  start sendmail in background in sbin/init.d/sendmail
* Thu Feb 27 1997 - bs@suse.de
  added alias faxmaster
* Wed Jan 22 1997 - florian@suse.de
- add uucp and mdom to the list of trusted users
- update to version 8.8.5
- add slightly better /etc/aliases
* Thu Jan 02 1997 - florian@suse.de
- update to 8.8.4 (due to a security hole)
* Thu Jan 02 1997 - florian@suse.de
- update to 8.8.3 (due to a big security hole)
* Thu Jan 02 1997 - florian@suse.de
- Update auf neue Version 8.8.2.
- Vorbereitung von mehr Konfigurationsmoeglichkeiten in rc.config.
* Thu Jan 02 1997 - florian@suse.de
- added two small patches from Eric Allman(?)
* Thu Jan 02 1997 - florian@suse.de
- update to newer version
* Thu Jan 02 1997 - florian@suse.de
- added security fix
- use "FEATURE(nocanonify)" instead of editing the .cf file
